diff --git a/web/pgadmin/browser/static/js/panel.js b/web/pgadmin/browser/static/js/panel.js
index 23645c5e..f2e363ba 100644
--- a/web/pgadmin/browser/static/js/panel.js
+++ b/web/pgadmin/browser/static/js/panel.js
@@ -54,7 +54,7 @@ define(
               if (!that.showTitle)
                 myPanel.title(false);
               else {
-                var title_elem = '<a href="#" tabindex="0" class="panel-link-heading">' + (title || that.title) + '</a>';
+                var title_elem = '<a href="#" tabindex="-1" class="panel-link-heading">' + (title || that.title) + '</a>';
                 myPanel.title(title_elem);
                 if (that.icon != '')
                   myPanel.icon(that.icon);
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index 2ff6ffce..279c79d9 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -657,8 +657,12 @@ fieldset.inline-fieldset > div {
   outline: none;
 }
 
-input[type="checkbox"]:focus {
-    outline: $color-primary auto 5px !important;
+input[type="checkbox"]:focus,
+a:focus {
+    &.navbar-brand, &.dropdown-item {
+        outline: none !important;
+    }
+    outline: $input-focus-border-color auto 5px !important;
 }
 
 div.rolmembership {
